package cz.zcu.kiv.aswi.maploc.register;

import java.util.Map;

/**
 * Interface prislusneho objektu v rejstriku objektu
 */
public interface MapPoiReference {
	/**
	 * Vraci zemepisnou sirku objektu
	 * @return	zemnepisnou sirku objektu
	 */
    double getLatitude();
    /**
     * Vraci zemepisnou delku objektu
     * @return	zemepisnou delku objektu
     */
    double getLongitude();
    /**
     * Vraci parametry objektu. Krome parametru menicich se v case existence objektu obsahuje take staticke hodnoty (nemene)
     * @return		parametry objektu
     */
    Map<String, Object> getParameters();
}