package cz.zcu.kiv.aswi.svk.lokatory.nmealocator;

public class GeoPoint {
	private long timeStamp;
	double[] location;

	public GeoPoint(long timeStamp, double latitude, double longitude) {
		this.timeStamp = timeStamp;
		location = new double[] {latitude, longitude};
	}
	public GeoPoint(long timeStamp, double[] location) {
		this.timeStamp = timeStamp;
		this.location = location;
	}

	public long getTimeStamp() {
		return this.timeStamp;
	}

	public double[] getLocation() {
		return location;
	}

	public double getLatitude() {
		return location[0];
	}

	public double getLongitude() {
		return location[1];
	}
}