package cz.zcu.kiv.aswi.svk.rejstrik;

import java.util.ArrayList;
import java.util.Hashtable;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import cz.zcu.kiv.aswi.maploc.register.MapPoiGroup;
import cz.zcu.kiv.aswi.maploc.register.MapPoiReference;

public class PoiGroup implements MapPoiGroup {
	private Map<String, String> preferences;
	private List<PoiObject> objects;

	public PoiGroup() {
		preferences = new Hashtable<String, String>();
		objects = new ArrayList<PoiObject>();
	}

	public PoiGroup(Map<String, String> p) {
		this();
		preferences = p;
	}

	public PoiGroup(List<PoiObject> o) {
		this();
		objects = o;
	}

	public PoiGroup(Map<String, String> p, List<PoiObject> o) {
		preferences = p;
		objects = o;
	}

	public List<PoiObject> getObjects() {
		return objects;
	}

	@Override
	public Iterator<MapPoiReference> getObjectsOfGroup() {
		return (Iterator<MapPoiReference>) ((Object) objects.iterator());
	}

	@Override
	public Map<String, Object> getParameters() {
		return (Map<String, Object>) ((Object)preferences);
	}
}
